devel/ocaml-core_unix - The NetBSD Packages Collection

Standard library overlay for OCaml by Jane Street (unix-specific)

These are Unix-specific extensions to some of the modules in
devel/ocaml-core and devel/ocaml-core_kernel

Build dependencies

misc/ocaml-opaline misc/ocaml-opaline pkgtools/mktools shells/bash pkgtools/cwrappers

Runtime dependencies

devel/ocaml-dune devel/ocaml-findlib lang/ocaml devel/ocaml-core devel/ocaml-core_kernel devel/ocaml-expect_test_helpers_core devel/ocaml-jane-street-headers devel/ocaml-jst-config devel/ocaml-intrinsics devel/ocaml-ppx_jane devel/ocaml-sexplib devel/ocaml-spawn time/ocaml-timezone devel/ocaml-dune devel/ocaml-findlib devel/ocaml-core devel/ocaml-core_kernel devel/ocaml-jane-street-headers devel/ocaml-jst-config devel/ocaml-ppx_jane devel/ocaml-sexplib devel/ocaml-spawn time/ocaml-timezone

Binary packages

OSArchitectureVersion
NetBSD 10.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 10.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 10.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 8.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 8.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 8.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 8.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0aarch64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0aarch64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0earmv6hfocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0earmv7hfocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0i386ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0x86_64ocaml-core_unix-0.15.0nb1.tgz
NetBSD 9.0x86_64ocaml-core_unix-0.15.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.